<?php namespace RVR\Repository;

use RVR\PersistentData\Model\Community;
use SokoWeb\PersistentData\PersistentDataManager;

class CommunityRepository
{
    private PersistentDataManager $pdm;

    public function __construct()
    {
        $this->pdm = new PersistentDataManager();
    }

    public function getById(int $id): ?Community
    {
        return $this->pdm->selectFromDbById($id, Community::class);
    }
}
